Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class GlobalTransformation

    java.lang.Object
      de.grogra.graph.Attribute<T>
          de.grogra.graph.ObjectAttribute<T>
              de.grogra.graph.ObjectTreeAttribute<Matrix34dPair>
                  de.grogra.imp3d.objects.GlobalTransformation

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

    public final class GlobalTransformation

extends ObjectTreeAttribute<Matrix34dPair>

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.ObjectAttribute
`ObjectAttribute.IdentityAccessor`

Field Summary
`static GlobalTransformation` | `ATTRIBUTE`

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Method Summary
`boolean` | `dependsOn(Attribute[] a)`
`protected Matrix34dPair` | `derive(java.lang.Object object, boolean asNode, Matrix34dPair parentValue, Matrix34dPair placeIn, GraphState gs)`
`static Matrix34d` | `get(java.lang.Object object, boolean asNode, GraphState gs, boolean post)` Returns the global coordinate system of `object`.
`protected Matrix34dPair` | `getInitialValue(GraphState gs)`
`static Matrix34d` | `getParentValue(java.lang.Object object, boolean asNode, GraphState gs, boolean post)` Returns the global coordinate system of the parent of `object`.

Methods inherited from class de.grogra.graph.ObjectTreeAttribute
`getDerived, getParentAttribute, getParentValue, isDerived`

Methods inherited from class de.grogra.graph.ObjectAttribute
`get, set, setDerived, setObject, setSubfield, toType, valueOf`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE

    public static final GlobalTransformation ATTRIBUTE

Method Detail

### dependsOn

    public boolean dependsOn(Attribute[] a)

  Specified by:
    `dependsOn` in class `ObjectTreeAttribute<Matrix34dPair>`

### derive

    protected Matrix34dPair derive(java.lang.Object object,
                                   boolean asNode,
                                   Matrix34dPair parentValue,
                                   Matrix34dPair placeIn,
                                   GraphState gs)

  Specified by:
    `derive` in class `ObjectTreeAttribute<Matrix34dPair>`

### get

    public static Matrix34d get(java.lang.Object object,
                                boolean asNode,
                                GraphState gs,
                                boolean post)

  Returns the global coordinate system of `object`. If `post` is `true`, the coordinate system behind the object is returned, which is the basis for the coordinate system of children, otherwise the method returns the coordinate system in which the shape of the object is defined.

  The returned matrix must not be modified.

  Parameters:
    `object` - an object in the scene graph
    `asNode` - is `object` a node or an edge?
    `gs` - the current graph state
    `post` - include the post-transformation (behind the object)?
  Returns:
    global coordinate system, matrix must not be modified

### getInitialValue

    protected Matrix34dPair getInitialValue(GraphState gs)

  Specified by:
    `getInitialValue` in class `ObjectTreeAttribute<Matrix34dPair>`

### getParentValue

    public static Matrix34d getParentValue(java.lang.Object object,
                                           boolean asNode,
                                           GraphState gs,
                                           boolean post)

  Returns the global coordinate system of the parent of `object`. If `post` is `true`, the coordinate system behind the parent is returned, which is the basis for the coordinate system of `object`, otherwise the method returns the coordinate system in which the shape of the parent is defined.

  The returned matrix must not be modified.

  Parameters:
    `object` - an object in the scene graph
    `asNode` - is `object` a node or an edge?
    `gs` - the current graph state
    `post` - include the post-transformation (behind the parent)?
  Returns:
    global coordinate system of parent, matrix must not be modified

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD